Autor Tópico: Drivers ADM no Linux Ubuntu  (Lida 454 vezes)

Offline jpcorso

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Drivers ADM no Linux Ubuntu
« Online: 07 de Setembro de 2021, 21:22 »
Olá, sou um novo usuário de linux, e estou com algumas dificuldades para jogar, vários jogos que inicio estão tendo problemas com uma placa gráfica, como "placa gráfica não suportada", entre outros. Porém, acho que isso seja um problema de software, pois não consegui instalar o driver proprietário da AMD e tenho só o driver mesa, minha placa de vídeo é um AMD Radeon R7 240/340 e uso o Pop_OS! 21.04, gostaria de saber como prosseguir, pois pelo oq eu vi a amd possui apenas drivers até o ubuntu 18.04 para minha placa. Quem me pode ajudar desde já agradeço.

Offline creto

  • Usuário BigLinux
  • Usuário Ubuntu
  • *
  • Mensagens: 652
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:Drivers ADM no Linux Ubuntu
« Resposta #1 Online: 10 de Setembro de 2021, 13:54 »
Olha para eu não pegar ralho novamente, vou me explicar, não conheço nem de longe o Pop_OS, porém pelo que vi do site linux hardware que registra falhas e acertos de hardwares com linux, por assim dizer mostra que o ubuntu 20.04 está entre os que usa essa placa

https://linux-hardware.org/?id=pci:1002-6613-1458-22b0

E analisando por lá os drivers seriam amdgpu por base

T+
A vida, é feito andar de bicicleta, se parar, você cai! (Gabriel Contino)
Blog do Paulo Corrêa Creto

Offline jpcorso

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re:Drivers ADM no Linux Ubuntu
« Resposta #2 Online: 10 de Setembro de 2021, 15:13 »
Olha para eu não pegar ralho novamente, vou me explicar, não conheço nem de longe o Pop_OS, porém pelo que vi do site linux hardware que registra falhas e acertos de hardwares com linux, por assim dizer mostra que o ubuntu 20.04 está entre os que usa essa placa

https://linux-hardware.org/?id=pci:1002-6613-1458-22b0

E analisando por lá os drivers seriam amdgpu por base

T+

Obrigado pela resposta! Mas o AMD Oland é o driver que eu possuo atualmente e mesmo assim da esses erros nos jogos!

Offline creto

  • Usuário BigLinux
  • Usuário Ubuntu
  • *
  • Mensagens: 652
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:Drivers ADM no Linux Ubuntu
« Resposta #3 Online: 11 de Setembro de 2021, 23:14 »
Tá já que você me afirma que é o Oland, que te confesso ainda não ouvi falar, abra o terminal comande lá e copie e cole aqui a saída de:

Código: [Selecionar]
inxi -G
Uma pergunta: você atualizou o sistema por completo?

Se fosse para o ubuntu te recomendaria fazer isso abaixo:
Código: [Selecionar]
sudo apt update ; sudo apt install mesa-vulkan-drivers vulkan-tools vulkan-utils
Leia aqui também: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-20

Estamos aqui para tentar esclarecer qualquer duvida

Boa sorte!

T+
« Última modificação: 11 de Setembro de 2021, 23:25 por creto »
A vida, é feito andar de bicicleta, se parar, você cai! (Gabriel Contino)
Blog do Paulo Corrêa Creto

Offline jpcorso

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re:Drivers ADM no Linux Ubuntu
« Resposta #4 Online: 13 de Setembro de 2021, 09:04 »
Tá já que você me afirma que é o Oland, que te confesso ainda não ouvi falar, abra o terminal comande lá e copie e cole aqui a saída de:

Código: [Selecionar]
inxi -G
Uma pergunta: você atualizou o sistema por completo?

Se fosse para o ubuntu te recomendaria fazer isso abaixo:
Código: [Selecionar]
sudo apt update ; sudo apt install mesa-vulkan-drivers vulkan-tools vulkan-utils
Leia aqui também: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-20

Estamos aqui para tentar esclarecer qualquer duvida

Boa sorte!

T+

OLá. isso aparece no inxi: Graphics:
  Device-1: AMD Oland PRO [Radeon R7 240/340] driver: radeon v: kernel
  Display: x11 server: X.Org 1.20.11 driver: loaded: ati,radeon
  unloaded: fbdev,modesetting,vesa resolution: 1680x1050~60Hz
  OpenGL: renderer: AMD OLAND (DRM 2.50.0 5.11.0-7633-generic LLVM 11.0.1)
  v: 4.5 Mesa 21.0.1

e quando tentei instalar esse driver que me mandou aparece o seguinte erro:

O pacote vulkan-utils não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'vulkan-utils' não tem candidato para instalação

Offline jpcorso

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re:Drivers ADM no Linux Ubuntu
« Resposta #5 Online: 13 de Setembro de 2021, 13:26 »
Tá já que você me afirma que é o Oland, que te confesso ainda não ouvi falar, abra o terminal comande lá e copie e cole aqui a saída de:

Código: [Selecionar]
inxi -G
Uma pergunta: você atualizou o sistema por completo?

Se fosse para o ubuntu te recomendaria fazer isso abaixo:
Código: [Selecionar]
sudo apt update ; sudo apt install mesa-vulkan-drivers vulkan-tools vulkan-utils
Leia aqui também: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-20

Estamos aqui para tentar esclarecer qualquer duvida

Boa sorte!

T+

outra coisa, quando tentei instalar o driver pelo site da amd, deu um erro e o pc não inicializou, não me lembro o nome do erro mas era uma tela branca com um pc com uma cara triste se não me engano

Offline creto

  • Usuário BigLinux
  • Usuário Ubuntu
  • *
  • Mensagens: 652
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:Drivers ADM no Linux Ubuntu
« Resposta #6 Online: 13 de Setembro de 2021, 14:37 »
Qual versão do ubuntu está usando?

Porque eu até não tinha nenhuma instalação de um ubuntu aqui, mas instalei um derivado direto do ubuntu 20.04 LTS Focal e o que lhe mandei instalar todos estão nos repositórios ubuntu:

Código: [Selecionar]
bigubuntu@bigubuntu:~$ apt search vulkan | grep vulkan

WARNING: apt.distrib does not have a stable CLI interface. Use with caution in scripts.

libvulkan-dev - Vulkan loader library -- development files
libvulkan1 - Vulkan loader library
mesa-vulkan-drivers - Mesa Vulkan graphics drivers
vulkan-tools - Miscellaneous Vulkan utilities
vulkan-validationlayers - Vulkan validation layers
vulkan-validationlayers-dev - Vulkan validation layers -- development files
vulkan-utils - pacote de transição
bigubuntu@bigubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    BigLinux based in Ubuntu 20.04
Release:        20.04
Codename:       focal
bigubuntu@bigubuntu:~$

Ahhh, lembrei, você usa o Pop SO e como eu disse, não conheço a distro nem de vista e aqui especificamente seria mais fácil se fosse um ubuntu o seu sistema

T+
« Última modificação: 13 de Setembro de 2021, 14:39 por creto »
A vida, é feito andar de bicicleta, se parar, você cai! (Gabriel Contino)
Blog do Paulo Corrêa Creto

Offline jpcorso

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re:Drivers ADM no Linux Ubuntu
« Resposta #7 Online: 16 de Setembro de 2021, 13:28 »
Qual versão do ubuntu está usando?

Porque eu até não tinha nenhuma instalação de um ubuntu aqui, mas instalei um derivado direto do ubuntu 20.04 LTS Focal e o que lhe mandei instalar todos estão nos repositórios ubuntu:

Código: [Selecionar]
bigubuntu@bigubuntu:~$ apt search vulkan | grep vulkan

WARNING: apt.distrib does not have a stable CLI interface. Use with caution in scripts.

libvulkan-dev - Vulkan loader library -- development files
libvulkan1 - Vulkan loader library
mesa-vulkan-drivers - Mesa Vulkan graphics drivers
vulkan-tools - Miscellaneous Vulkan utilities
vulkan-validationlayers - Vulkan validation layers
vulkan-validationlayers-dev - Vulkan validation layers -- development files
vulkan-utils - pacote de transição
bigubuntu@bigubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    BigLinux based in Ubuntu 20.04
Release:        20.04
Codename:       focal
bigubuntu@bigubuntu:~$

Ahhh, lembrei, você usa o Pop SO e como eu disse, não conheço a distro nem de vista e aqui especificamente seria mais fácil se fosse um ubuntu o seu sistema

T+

[/quote
Qual versão do ubuntu está usando?

Porque eu até não tinha nenhuma instalação de um ubuntu aqui, mas instalei um derivado direto do ubuntu 20.04 LTS Focal e o que lhe mandei instalar todos estão nos repositórios ubuntu:

Código: [Selecionar]
bigubuntu@bigubuntu:~$ apt search vulkan | grep vulkan

WARNING: apt.distrib does not have a stable CLI interface. Use with caution in scripts.

libvulkan-dev - Vulkan loader library -- development files
libvulkan1 - Vulkan loader library
mesa-vulkan-drivers - Mesa Vulkan graphics drivers
vulkan-tools - Miscellaneous Vulkan utilities
vulkan-validationlayers - Vulkan validation layers
vulkan-validationlayers-dev - Vulkan validation layers -- development files
vulkan-utils - pacote de transição
bigubuntu@bigubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    BigLinux based in Ubuntu 20.04
Release:        20.04
Codename:       focal
bigubuntu@bigubuntu:~$

Ahhh, lembrei, você usa o Pop SO e como eu disse, não conheço a distro nem de vista e aqui especificamente seria mais fácil se fosse um ubuntu o seu sistema

T+


É O Pop_OS! 21.04, é baseado em ubuntu